This is a preview version of the API intended for early testing and integration. Preview versions are not stable and may include breaking changes before general availability.
Get collection status
Returns the current status of an initiated collection of wealth data.
Request
Path Parameters
Header Parameters
Specifies the API version to use. Must match the version of the endpoint you are targeting.
2025-01-01.Responses
Status successfully fetched.
Body
Company that this collection is from
The UUID of the external user this collection belongs to, when it is linked to one (null otherwise). Can be used to build a Hub deep-link of the form /collections/user/{externalUserUuid}.
A key-value map containing potential extra information, depending on the company the collection is getting data from.
The collection ID of the request
The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.
Current status of the collection.
RUNNING, LOGIN, TWO_FACTOR_PENDING, TWO_FACTOR_METHOD_SELECTION_TIMEOUT, CONTACT_FORM_PENDING, COLLECTION_INPUT_PENDING, COLLECTION_INPUT_TIMEOUT, COLLECTING, COMPLETED, COMPLETED_PARTIAL, COMPLETED_EMPTY, FAILED, FAILED_PDF_PARSE, FAILED_PDF_USER_INPUT, AUTHENTICATION_TIMEOUT, WAITING_FOR_USER_ACTION, INCORRECT_CREDENTIALS, AUTHENTICATION_CANCELLED, AUTHENTICATION_CONFLICT, ACCOUNT_TEMPORARILY_LOCKED, AUTHENTICATION_MISMATCH, KYC_FORM, CONTACT_FORM, CUSTOMER_ENROLLMENT_REQUIRED or THIRD_PARTY_ERROR.curl https://api.insurely.com/wealth/collection/{collectionId}/status \
-H "authorization-token: <authorization-token>"